# PCEISENSTAT

An implementation of SSOR (symmetric successive over relaxation, symmetric Gauss-Seidel) preconditioning that incorporates Eisenstat's trick to reduce the amount of computation needed.

### Options Database Keys

| -pc_eisenstat_omega <omega> | - Sets omega
| -pc_eisenstat_no_diagonal_scaling | - Activates PCEisenstatNoDiagonalScaling()

Notes: Only implemented for the SeqAIJ matrix format. Not a true parallel SOR, in parallel this implementation corresponds to block Jacobi with SOR on each block.

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCEisenstatNoDiagonalScaling(), PCEisenstatSetOmega(), PCSOR

Level:beginner
Location: src/ksp/pc/impls/eisens/eisen.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages